# optimize-vue-cli

![NPM version](https://img.shields.io/npm/v/optimize-vue-cli.svg)
![NPM download](https://img.shields.io/npm/dm/optimize-vue-cli.svg)
![NPM download](https://img.shields.io/npm/dw/optimize-vue-cli.svg)
![npm](https://img.shields.io/npm/l/optimize-vue-cli.svg)


![GitHub watchers](https://img.shields.io/github/watchers/ChangedenCZD/optimize-vue-cli.svg)
![GitHub stars](https://img.shields.io/github/stars/ChangedenCZD/optimize-vue-cli.svg)
![GitHub forks](https://img.shields.io/github/forks/ChangedenCZD/optimize-vue-cli.svg)
![GitHub issues](https://img.shields.io/github/issues/ChangedenCZD/optimize-vue-cli.svg)
![GitHub last commit (branch)](https://img.shields.io/github/last-commit/ChangedenCZD/optimize-vue-cli.svg)

## Template
[Source Code](https://github.com/ChangedenCZD/optimize-vue)

## Install
```commandline
npm i -g optimize-vue-cli
```

## Create Project
```text
vues create <project-name>
// eg: vues create demo
```

## Init Project
```text
// Install vue-cli-3.0 at first.
npm install -g @vue/cli

// Open Project Dir
cd <project-name>

// Init
yarn install 
```

## Add Module
#### Remark: Used in the project root directory.
```text
vues add -m <module-title> -p <module-path>
// eg: vues add -m module1 -p /mobile/page/index
// Html-Title: module1
// Html-Url: localhost:port/mobile/page/index
```

## Add Component
#### Remark: Used in the project root directory.
```text
vues add -c <component-path>
// eg: vues add -c /home/index
```

## Add multiple modules at a time
#### Remark: Used in the project root directory.
```text
vues add -a -m <module-path-array>
// eg: vues add -a -m /page/a,/page/b
// Html-Title: Page Title
// Html-Url-0: localhost:port/page/a
// Html-Url-1: localhost:port/page/b
```

## Add multiple components at a time
#### Remark: Used in the project root directory.
```text
vues add -a -c <component-path-array>
// eg: vues add -c /home/index,/home/personal
```

##
[github](https://github.com/ChangedenCZD/optimize-vue-cli)
[issues](https://github.com/ChangedenCZD/optimize-vue-cli/issues)

[e-mail: changeden520@gmail.com]()
